# eric5.eric5

Eric5 Python IDE.

This is the main Python script that performs the necessary initialization of the IDE and starts the Qt event loop.

### Global Attributes

args
mainWindow
restartArgs
restartArgsList
splash

### Classes

None

### Functions

excepthook | Global function to catch unhandled exceptions.
handleSingleApplication | Global function to handle the single application mode.
main | Main entry point into the application.
uiStartUp | Global function to finalize the start up of the main UI.

## excepthook

excepthook(excType, excValue, tracebackobj)

Global function to catch unhandled exceptions.

excType
  exception type
excValue
  exception value
tracebackobj
  traceback object

Up

## handleSingleApplication

handleSingleApplication(ddindex)

Global function to handle the single application mode.

ddindex
  index of a '--' option in the options list

Up

## main

main()

Main entry point into the application.

Raises Exception:
  re-raised for any exception occurring in the main program logic

Up

## uiStartUp

uiStartUp()

Global function to finalize the start up of the main UI.

Note: It is activated by a zero timeout single-shot timer.

Up